#
# cron.py - Cron daemon running in another thread for client.cgi.
# Copyright (C) 2005  shinGETsu Project.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id: crond.py,v 1.8 2005/03/30 15:15:49 fuktommy Exp $
#

import urllib
import sys
import time
import threading
import urllib

import config

__version__ = "$Revision: 1.8 $"

class Client(threading.Thread):

    """Access client.cgi."""

    def run(self):
        con = urllib.urlopen("http://localhost:" +
                             str(config.port) +
                             config.client)
        con.close()
        sys.stdout.flush()
        sys.stderr.flush()

class Crond(threading.Thread):

    """Cron daemon running in another thread for client.cgi."""

    def run(self):
        time.sleep(10)
        while True:
            c = Client()
            c.start()
            time.sleep(config.client_cycle)
